Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.plaf
Class PlafManager

    java.lang.Object
      org.flexdock.plaf.PlafManager

    public class PlafManager

extends Object

Author:
  Christopher Butler

Constructor Summary
`PlafManager()`

Method Summary
`static Theme` | `addCustomTheme(String themeName, Properties p)`
`static String` | `getSystemThemeName()`
`static ComponentUI` | `getUI(JComponent target)` Returns the appropriate `ComponentUI` implementation for `target`.
`static void` | `installPreferredTheme()`
`static void` | `installSystemTheme()`
`static Theme` | `loadCustomTheme(String themeName, Properties p, boolean exclusive)`
`static Theme` | `removeCustomTheme(String themeName)`
`static Theme` | `setCustomTheme(String themeName, Properties p)`
`static void` | `setPreferredTheme(Properties p)`
`static void` | `setPreferredTheme(String themeName)`
`static void` | `setPreferredTheme(String themeName, boolean reload)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlafManager

    public PlafManager()

Method Detail

### getSystemThemeName

    public static String getSystemThemeName()

### installSystemTheme

    public static void installSystemTheme()

### setPreferredTheme

    public static void setPreferredTheme(Properties p)

### setPreferredTheme

    public static void setPreferredTheme(String themeName)

### setPreferredTheme

    public static void setPreferredTheme(String themeName,
                                         boolean reload)

### installPreferredTheme

    public static void installPreferredTheme()

### addCustomTheme

    public static Theme addCustomTheme(String themeName,
                                       Properties p)

### setCustomTheme

    public static Theme setCustomTheme(String themeName,
                                       Properties p)

### loadCustomTheme

    public static Theme loadCustomTheme(String themeName,
                                        Properties p,
                                        boolean exclusive)

### removeCustomTheme

    public static Theme removeCustomTheme(String themeName)

### getUI

    public static ComponentUI getUI(JComponent target)

  Returns the appropriate `ComponentUI` implementation for `target`. In case the component is a member of the installed look and feel, this method first queries `UIManager.getUI(target)` before attempting to resolve it locally.

  Parameters:
    `target` - the `JComponent` to return the `ComponentUI` for
  Returns:
    the `ComponentUI` object for `target`
  Throws:
    `NullPointerException` - if `target` is `null`
  See Also:
    `UIManager.getUI(javax.swing.JComponent)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD